Skip to main content
POST
/
connect
/
v1
/
connections
/
{connectionId}
/
flights
/
orders
/
{orderId}
/
seats
Select seats
curl --request POST \
  --url https://api.voyant.travel/connect/v1/connections/{connectionId}/flights/orders/{orderId}/seats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "segmentId": "<string>",
  "selections": [
    {
      "passengerId": "<string>",
      "seatId": "<string>"
    }
  ]
}
'
{}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

connectionId
string
required

Connection id.

orderId
string
required

Body

application/json
segmentId
string
required
selections
object[]
required

Response

200 - application/json

Updated order.

Provider-shaped flight order.